# -*- coding:Utf-8 -*-
#addons/eventscripts/limitteam/limitteam.py

import es

info = AddonInfo()
info.name = 'limitteam'
info.title = 'LimitTeam'
info.author = 'Dragonfly'
info.version = '1.4'


lt_ct = es.ServerVar("lt_ct", 0)
lt_t = es.ServerVar("lt_t", 0)
lt_maximum_ct = es.ServerVar("lt_maximum_ct", 0)
lt_maximum_t = es.ServerVar("lt_maximum_t", 0)


def load():
	es.server.cmd("es_xmexec limitteam/limitteam_config.cfg")
	es.ServerVar('DgF_LimitTeam', info.version, info.title).makepublic()
	es.addons.registerClientCommandFilter(filtreCommandesClientes)
	es.msg("#multi", "#lightgreen[LimitTeam] #defaultActiv.")

	
def unload():
	es.addons.unregisterClientCommandFilter(filtreCommandesClientes)
	es.msg("#multi", "#lightgreen[LimitTeam] #defaultDsactiv.")

	
def filtreCommandesClientes(userid, argv):
	"""
		userid : l'userid du joueur
		argv : liste des arguments (argv[0] == commande)
	"""
	laisserPasser = True
	lt_nbr_ct = es.getplayercount(3)
	lt_nbr_t = es.getplayercount(2)
	if argv[0] == "jointeam" and argv[1] == "3" and lt_nbr_ct > int(lt_maximum_ct):
		es.tell(userid, "#multi", "#lightgreen[LimitTeam] #defaultLa team Anti-Terroriste ne peut accepter plus de %s joueurs", % str(server_var['lt_maximum_ct'])
		es.playsound(userid, "buttons/weapon_cant_buy.wav", 1)
		laisserPasser = False
	if argv[0] == "jointeam" and argv[1] == "2" and lt_nbr_t > int(lt_maximum_t):
		es.tell(userid, "#multi", "#lightgreen[LimitTeam] #defaultLa team Terroriste ne peut accepter plus de %s joueurs", % str(server_var['lt_maximum_t'])
		es.playsound(userid, "buttons/weapon_cant_buy.wav", 1)
		laisserPasser = False
	return laisserPasser

	
def round_start(event_var):
	if lt_ct == 1:
		lt_nbr_mp_ct = es.getplayercount(3)
		lt_nbr_mp_t = es.getplayercount(2)
		lt_nbr_mp_play = lt_nbr_mp_ct + lt_nbr_mp_t
		es.forcevalue("mp_limitteams %s" % server_var['lt_nbr_mp_play'])
	if lt_t == 1:
		lt_nbr_mp_ct = es.getplayercount(3)
		lt_nbr_mp_t = es.getplayercount(2)
		lt_nbr_mp_play = lt_nbr_mp_ct + lt_nbr_mp_t
		es.forcevalue("mp_limitteams %s" % server_var['lt_nbr_mp_play']) 